Package ghidra.app.util.bin.format.xcoff

# Class XCoffSymbolStorageClass

java.lang.Object
ghidra.app.util.bin.format.xcoff.XCoffSymbolStorageClass

public final class XCoffSymbolStorageClass extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `C_BCOMM`
  beginning of the common block
  `static final int`
  `C_BINCL`
  beginning of include file
  `static final int`
  `C_BLOCK`
  beginning or end of inner block
  `static final int`
  `C_BSTAT`
  beginning of static block
  `static final int`
  `C_DECL`
  declaration of object (type)
  `static final int`
  `C_ECOML`
  local member of common block
  `static final int`
  `C_ECOMM`
  end of common block
  `static final int`
  `C_EINCL`
  end of include file
  `static final int`
  `C_ENTRY`
  alternate entry
  `static final int`
  `C_ESTAT`
  end of static block
  `static final int`
  `C_EXT`
  external symbol
  `static final int`
  `C_FCN`
  beginning or end of function
  `static final int`
  `C_FILE`
  source file name and compiler information
  `static final int`
  `C_FUN`
  function or procedure
  `static final int`
  `C_GSYM`
  global variable
  `static final int`
  `C_HIDEXT`
  unnamed external symbol
  `static final int`
  `C_INFO`
  comment section reference
  `static final int`
  `C_LSYM`
  automatic variable allocated on stack
  `static final int`
  `C_NULL`
  symbol table entry marked for deletion
  `static final int`
  `C_PSYM`
  argument to subroutine allocated on stack
  `static final int`
  `C_RPSYM`
  argument to function or procedure stored in register
  `static final int`
  `C_RSYM`
  register variable
  `static final int`
  `C_STAT`
  static symbol (unknown)
  `static final int`
  `C_STSYM`
  statically allocated symbol
  `static final int`
  `C_TCSYM`
  reserved
  `static final int`
  `C_WEAKEXT`
  weak external symbol

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XCoffSymbolStorageClass()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### C_BCOMM

    public static final int C_BCOMM
    beginning of the common block
    See Also:
      - Constant Field Values

  - ### C_BINCL

    public static final int C_BINCL
    beginning of include file
    See Also:
      - Constant Field Values

  - ### C_BLOCK

    public static final int C_BLOCK
    beginning or end of inner block
    See Also:
      - Constant Field Values

  - ### C_BSTAT

    public static final int C_BSTAT
    beginning of static block
    See Also:
      - Constant Field Values

  - ### C_DECL

    public static final int C_DECL
    declaration of object (type)
    See Also:
      - Constant Field Values

  - ### C_ECOML

    public static final int C_ECOML
    local member of common block
    See Also:
      - Constant Field Values

  - ### C_ECOMM

    public static final int C_ECOMM
    end of common block
    See Also:
      - Constant Field Values

  - ### C_EINCL

    public static final int C_EINCL
    end of include file
    See Also:
      - Constant Field Values

  - ### C_ENTRY

    public static final int C_ENTRY
    alternate entry
    See Also:
      - Constant Field Values

  - ### C_ESTAT

    public static final int C_ESTAT
    end of static block
    See Also:
      - Constant Field Values

  - ### C_EXT

    public static final int C_EXT
    external symbol
    See Also:
      - Constant Field Values

  - ### C_FCN

    public static final int C_FCN
    beginning or end of function
    See Also:
      - Constant Field Values

  - ### C_FILE

    public static final int C_FILE
    source file name and compiler information
    See Also:
      - Constant Field Values

  - ### C_FUN

    public static final int C_FUN
    function or procedure
    See Also:
      - Constant Field Values

  - ### C_GSYM

    public static final int C_GSYM
    global variable
    See Also:
      - Constant Field Values

  - ### C_HIDEXT

    public static final int C_HIDEXT
    unnamed external symbol
    See Also:
      - Constant Field Values

  - ### C_INFO

    public static final int C_INFO
    comment section reference
    See Also:
      - Constant Field Values

  - ### C_LSYM

    public static final int C_LSYM
    automatic variable allocated on stack
    See Also:
      - Constant Field Values

  - ### C_NULL

    public static final int C_NULL
    symbol table entry marked for deletion
    See Also:
      - Constant Field Values

  - ### C_PSYM

    public static final int C_PSYM
    argument to subroutine allocated on stack
    See Also:
      - Constant Field Values

  - ### C_RPSYM

    public static final int C_RPSYM
    argument to function or procedure stored in register
    See Also:
      - Constant Field Values

  - ### C_RSYM

    public static final int C_RSYM
    register variable
    See Also:
      - Constant Field Values

  - ### C_STAT

    public static final int C_STAT
    static symbol (unknown)
    See Also:
      - Constant Field Values

  - ### C_STSYM

    public static final int C_STSYM
    statically allocated symbol
    See Also:
      - Constant Field Values

  - ### C_TCSYM

    public static final int C_TCSYM
    reserved
    See Also:
      - Constant Field Values

  - ### C_WEAKEXT

    public static final int C_WEAKEXT
    weak external symbol
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### XCoffSymbolStorageClass

    public XCoffSymbolStorageClass()